package com.ruoyi.project.training.bccnew.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.bccnew.domain.TTsFtplanTmpl;

/**
 * 芳烃培训模版Mapper接口
 * 
 * @author ssy
 * @date 2024-06-13
 */
public interface TTsFtplanTmplMapper 
{
    /**
     * 查询芳烃培训模版
     * 
     * @param id 芳烃培训模版ID
     * @return 芳烃培训模版
     */
    public TTsFtplanTmpl selectTTsFtplanTmplById(Long id);

    /**
     * 查询芳烃培训模版列表
     * 
     * @param tTsFtplanTmpl 芳烃培训模版
     * @return 芳烃培训模版集合
     */
    public List<TTsFtplanTmpl> selectFtTmplListWithoutContent(TTsFtplanTmpl tTsFtplanTmpl);
    public List<TTsFtplanTmpl> selectTTsFtplanTmplList(TTsFtplanTmpl tTsFtplanTmpl);

    /**
     * 新增芳烃培训模版
     * 
     * @param tTsFtplanTmpl 芳烃培训模版
     * @return 结果
     */
    public int insertTTsFtplanTmpl(TTsFtplanTmpl tTsFtplanTmpl);

    /**
     * 修改芳烃培训模版
     * 
     * @param tTsFtplanTmpl 芳烃培训模版
     * @return 结果
     */
    public int updateTTsFtplanTmpl(TTsFtplanTmpl tTsFtplanTmpl);

    /**
     * 删除芳烃培训模版
     * 
     * @param id 芳烃培训模版ID
     * @return 结果
     */
    public int deleteTTsFtplanTmplById(Long id);

    /**
     * 批量删除芳烃培训模版
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTTsFtplanTmplByIds(Long[] ids);
}
